Skip to content

Update enrolling package URL

PATCH
/api/v1/environments/packages/{env}/{id}
curl --request PATCH \
--url https://osctrl.net/api/v1/environments/packages/example/1 \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "url": "example" }'

Updates the URL of an existing enrolling package.

env
required
string

Environment name or UUID

id
required
integer

Package ID

Request body

Media typeapplication/json
object
url
string
Examplegenerated
{
"url": "example"
}

OK

Media typeapplication/json
object
architecture
string
created_at
string
environment_id
integer
id
integer
is_default
boolean
type
string
updated_at
string
url
string
Examplegenerated
{
"architecture": "example",
"created_at": "example",
"environment_id": 1,
"id": 1,
"is_default": true,
"type": "example",
"updated_at": "example",
"url": "example"
}

Bad request

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Unauthorized

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Forbidden

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Not found

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Internal server error

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}